# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /feedstock/recipe, last modified Wed Jun  7 18:52:01 2023
# ------------------------------------------------

package:
  name: hdf5
  version: 1.12.1
source:
  patches: null
  sha256: 79c66ff67e666665369396e9c90b32e238e501f345afd2234186bfb8331081ca
  url: https://support.hdfgroup.org/ftp/HDF5/releases/hdf5-1.12/hdf5-1.12.1/src/hdf5-1.12.1.tar.gz
build:
  ignore_run_exports: null
  number: '3'
  run_exports:
    - hdf5 >=1.12.1,<1.12.2.0a0
  string: h2b7332f_3
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.38 h2a08ee3_1
    - binutils_linux-64 2.38.0 hc2dff05_0
    - gcc_impl_linux-64 11.2.0 h1234567_1
    - gcc_linux-64 11.2.0 h5c386dc_0
    - gfortran_impl_linux-64 11.2.0 h1234567_1
    - gfortran_linux-64 11.2.0 hc2dff05_0
    - gxx_impl_linux-64 11.2.0 h1234567_1
    - gxx_linux-64 11.2.0 hc2dff05_0
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - ld_impl_linux-64 2.38 h1181459_1
    - libgcc-devel_linux-64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgfortran5 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-devel_linux-64 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libtool 2.4.6 h6a678d5_1009
    - make 4.2.1 h1bed415_1
    - patch 2.7.6 h7b6447c_1001
    - sysroot_linux-64 2.17 h57e8cba_10
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - c-ares 1.19.0 h5eee18b_0
    - ca-certificates 2023.05.30 h06a4308_0
    - krb5 1.20.1 hf590b9c_0
    - libcurl 7.88.1 h251f7ec_1
    - libedit 3.1.20221030 h5eee18b_0
    - libev 4.33 h7f8727e_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgfortran-ng 11.2.0 h00389a5_1
    - libgfortran5 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libnghttp2 1.52.0 h2d74bed_0
    - libssh2 1.10.0 hdbd6064_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - ncurses 6.4 h6a678d5_0
    - openssl 3.0.8 h7f8727e_0
    - zlib 1.2.13 h5eee18b_0
  run:
    - libcurl >=7.88.1,<8.0a0
    - libgcc-ng >=11.2.0
    - libgfortran-ng
    - libgfortran5 >=11.2.0
    - libstdcxx-ng >=11.2.0
    - openssl 3.*
    - openssl >=3.0.8,<4.0a0
    - zlib >=1.2.13,<1.3.0a0
test:
  commands:
    - command -v h5c++
    - command -v h5cc
    - command -v h5perf_serial
    - command -v h5redeploy
    - command -v h5fc
    - command -v gif2h5
    - command -v h52gif
    - command -v h5copy
    - command -v h5debug
    - command -v h5diff
    - command -v h5dump
    - command -v h5import
    - command -v h5jam
    - command -v h5ls
    - command -v h5mkgrp
    - command -v h5repack
    - command -v h5repart
    - command -v h5stat
    - command -v h5unjam
    - test -f $PREFIX/lib/libhdf5.a
    - test -f $PREFIX/lib/libhdf5.so
    - test -f $PREFIX/lib/libhdf5_cpp.a
    - test -f $PREFIX/lib/libhdf5_cpp.so
    - test -f $PREFIX/lib/libhdf5_hl.a
    - test -f $PREFIX/lib/libhdf5_hl.so
    - test -f $PREFIX/lib/libhdf5_hl_cpp.a
    - test -f $PREFIX/lib/libhdf5_hl_cpp.so
    - echo "Testing h5cc"
    - h5cc -show
    - h5cc h5_cmprss.c -o h5_cmprss
    - ./h5_cmprss
    - echo "Testing h5c++"
    - h5c++ -show
    - h5c++ h5tutr_cmprss.cpp -o h5tutr_cmprss
    - ./h5tutr_cmprss
    - echo "Testing h5fc"
    - h5fc -show
    - h5fc h5_cmprss.f90 -o h5_cmprss
    - ./h5_cmprss
    - echo "Testing h5fc for Fortran 2003"
    - h5fc compound_fortran2003.f90 -o compound_fortran2003
    - ./compound_fortran2003
  files:
    - compound_fortran2003.f90
    - h5_cmprss.c
    - h5_cmprss.f90
    - h5tutr_cmprss.cpp
  requires:
    - gcc_linux-64 11.2.0.*
    - gfortran_linux-64 11.2.0.*
    - gxx_linux-64 11.2.0.*
    - pkg-config
about:
  description: 'HDF5 supports an unlimited variety of datatypes, and is designed for

    flexible and efficient I/O and for high volume and complex data.

    '
  dev_url: https://docs.hdfgroup.org/hdf5/develop/
  doc_url: https://docs.hdfgroup.org/hdf5/develop/
  home: https://www.hdfgroup.org/solutions/hdf5/
  license: OTHER
  license_family: BSD
  license_file:
    - COPYING
    - COPYING_LBNL_HDF5
  summary: HDF5 is a data model, library, and file format for storing and managing
    data
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 8c3e91fa-d433-4270-9ea5-8e965734c7e9
  recipe-maintainers:
    - astrofrog
    - gillins
    - groutr
    - jakirkham
    - marqh
    - msarahan
    - ocefpaf
  remote_url: git@github.com:AnacondaRecipes/hdf5-feedstock.git
  sha: c9bf72758146db8f7085428c1344a28f520ea211
